Skip to main content

Export Shopper Data

POST 

/public/marketplaces/:marketplaceID/dsar/customers/export

Get a copy of the ad data that GoWit keeps for one shopper. Identify the shopper by the customer ID that you send with ad requests and events. GoWit builds the export when you send the request and returns it in the response as a JSON file. The file contains at most 10,000 events. GoWit does not store the export file. GoWit records only that the export occurred, with a hashed customer ID. You can send at most 60 export requests per hour for each marketplace.

Request​

Responses​

The export file. The response has the header Content-Disposition: attachment; filename="gowit-shopper-export-YYYY-MM-DD.json".

Response Headers
    Content-Disposition

    attachment; filename="gowit-shopper-export-YYYY-MM-DD.json"